# lineargradient.cpp File Reference

Implementation of the "Linear Gradient" layer. More...

`#include "lineargradient.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (LinearGradient)
| SYNFIG_LAYER_SET_NAME (LinearGradient,"linear_gradient")
| SYNFIG_LAYER_SET_LOCAL_NAME (LinearGradient, N_("Linear Gradient"))
| SYNFIG_LAYER_SET_CATEGORY (LinearGradient, N_("Gradients"))
| SYNFIG_LAYER_SET_VERSION (LinearGradient,"0.0")
| SYNFIG_LAYER_SET_CVS_ID (LinearGradient,"$Id$")

## Detailed Description

Implementation of the "Linear Gradient" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_LAYER_INIT | ( | LinearGradient |  | ) |

SYNFIG_LAYER_SET_NAME | ( | LinearGradient | ,
|  | "linear_gradient" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | LinearGradient | ,
|  | N_("Linear Gradient") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | LinearGradient | ,
|  | N_("Gradients") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | LinearGradient | ,
|  | "0.0" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | LinearGradient | ,
|  | "$Id$" |  |
| ) |  |  |